{{page-title @model.iconSet.name ' ' (capitalize (t 'icons'))}}

<div class='main-container'>
  <div class='view-browse'>
    <div class='container mt-4'>
      <div class='row'>
        <div class='col icon-set-article'>
          <Article::Viewer @value={{@model.iconSet.contentBlocks}} />

          {{#if @model.iconSet.canEdit}}
            <LinkTo
              @route='manage.icons.editset'
              @model={{@model.iconSet.id}}
              class='btn btn-link btn-edit d-inline text-decoration-none ps-0'
            >
              <FaIcon @icon='pencil-alt' />
              {{capitalize (t 'edit-label')}}
            </LinkTo>
          {{/if}}
        </div>
      </div>
    </div>

    <Filters::Bar>
      <Manage::Toolbar::ViewMode
        @allowCardDeck={{true}}
        @allowList={{true}}
        @value={{this.viewMode}}
        @default='card-deck'
        @onChange={{this.changeViewMode}}
      />

      <Filters::Search
        @class='ms-auto'
        @value={{this.search}}
        @hasSuggestions={{this.searchStorage.history.length}}
        @isSearching={{this.isSearching}}
        @onSearch={{this.performSearch}}
      >
        {{#if this.searchStorage.history.length}}
          <Filters::OptionList
            @title={{t 'recent searches'}}
            @onSelect={{this.performSearch}}
            @values={{this.searchStorage.history}}
          />
        {{/if}}
      </Filters::Search>
    </Filters::Bar>

    <div class='container mt-3'>
      <h2>{{capitalize (t 'icons')}}</h2>

      <Breadcrumbs @value={{this.breadcrumbs}} />

      {{#if this.search}}
        <SearchResultsLabel
          @term={{this.search}}
          @results={{@model.loadedAny}}
        />
      {{/if}}

      <Manage::List
        @isEditable={{this.isEditable}}
        @viewMode={{this.viewMode}}
        @actions={{this.modelActions}}
        @columns={{@model.icons.buckets}}
        @header={{concat (t 'name') ',' (t 'description')}}
        @onSelect={{this.select}}
        @onAction={{this.handleAction}}
        @onDelete={{this.deleteRecord}}
        as |section actions|
      >
        <Browse::Icon::Section @section={{section}} @actions={{actions}} />
      </Manage::List>

      <LazyListLoadMore @lazyList={{@model.icons}} class="mb-5" />
    </div>
  </div>
</div>